/***************************************************************************
 *   Copyright (C) 2002 by Rodolfo Conde                                   *
 *   aragorn@ciencias.unam.mx                                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
 
import java.lang.System;
import java.lang.Integer;
import java.lang.NumberFormatException;

/** This is the where it all starts... */
public class Main {
	public static void main(String args[])
	{
		String servername = "";
		int serverport, tmpsp1, tmpsp2;
		
		if (args.length >= 2) {
			serverport = tmpsp1 = tmpsp2 = -1;

			try {
				tmpsp1 = Integer.parseInt(args[0]);
			} catch (NumberFormatException nfex) {
			}

			try {
				tmpsp2 = Integer.parseInt(args[1]);
			} catch (NumberFormatException nfex) {
			}
			
			if (tmpsp2 > 0) {
				servername = args[0];
				serverport = tmpsp2;
			} else if (tmpsp2 < 0 && tmpsp1 > 0) {
				servername = args[1];
				serverport = tmpsp1;
			} else {
				System.out.println("Invalid arguments, none of them is a port number.");
				System.exit(1);
			}

			System.out.println("Server name: " + servername + "\tPort Number: " + serverport);
			
			// now we bocome a player....
			Player p = new Player();
			
			p.play(servername, serverport);
		} else {
			System.out.println("Error: No arguments given.");
		}
	}
}
